ParsedStatement.Prepared (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Class ParsedStatement.Prepared

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement.Prepared

- Enclosing class:
    ParsedStatement

      public static class ParsedStatement.Prepared
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<ColumnSpecification>` | `boundNames`
    `short[]` | `partitionKeyBindIndexes`
    `java.lang.String` | `rawCQLStatement` Contains the CQL statement source if the statement has been "regularly" perpared via `QueryProcessor.prepare(java.lang.String, org.apache.cassandra.service.ClientState, boolean)` / `QueryHandler.prepare(java.lang.String, org.apache.cassandra.service.QueryState, java.util.Map)`.
    `CQLStatement` | `statement`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Prepared(CQLStatement statement)`
    `protected` | `Prepared(CQLStatement statement, java.util.List<ColumnSpecification> boundNames, short[] partitionKeyBindIndexes)`
    `` | `Prepared(CQLStatement statement, VariableSpecifications names, short[] partitionKeyBindIndexes)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rawCQLStatement

          public java.lang.String rawCQLStatement

      Contains the CQL statement source if the statement has been "regularly" perpared via `QueryProcessor.prepare(java.lang.String, org.apache.cassandra.service.ClientState, boolean)` / `QueryHandler.prepare(java.lang.String, org.apache.cassandra.service.QueryState, java.util.Map)`. Other usages of this class may or may not contain the CQL statement source.

    - #### statement

          public final CQLStatement statement

    - #### boundNames

          public final java.util.List<ColumnSpecification> boundNames

    - #### partitionKeyBindIndexes

          public final short[] partitionKeyBindIndexes

  - ### Constructor Detail

    - #### Prepared

          protected Prepared(CQLStatement statement,
                             java.util.List<ColumnSpecification> boundNames,
                             short[] partitionKeyBindIndexes)

    - #### Prepared

          public Prepared(CQLStatement statement,
                          VariableSpecifications names,
                          short[] partitionKeyBindIndexes)

    - #### Prepared

          public Prepared(CQLStatement statement)

Copyright © 2018 The Apache Software Foundation